package com.pj.project.app_menu;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: app_menu -- app菜单管理
 * @author qzy 
 */

@Mapper
@Repository
public interface AppMenuMapper extends BaseMapper <AppMenu> {



	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<AppMenu> getList(SoMap so);


}
