package com.pj.project.app_user_login_log;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: app_user_login_log -- 移动端用户登录日志
 * @author qzy 
 */

@Mapper
@Repository
public interface AppUserLoginLogMapper extends BaseMapper <AppUserLoginLog> {



	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<AppUserLoginLog> getList(SoMap so);


}
