package com.pj.api.dto;


/**
 * 互助组边民信息字段
 * @Author Mechrevo
 * @Date 2023 08 27 10 46
 **/

public class BorderList {

    /**
     * 互助组中边民的序号
     */
    private String borderNo;

    /**
     * 边民备案编号
     */
    private String borderPutrecNo;

    /**
     * 边民姓名
     */
    private String borderName;

    /**
     * 边民身份证号码
     */
    private String idCardNo;

    /**
     * 户籍地址
     */
    private String borderAddr;

    public String getBorderNo() {
        return borderNo;
    }

    public void setBorderNo(String borderNo) {
        this.borderNo = borderNo;
    }

    public String getBorderPutrecNo() {
        return borderPutrecNo;
    }

    public void setBorderPutrecNo(String borderPutrecNo) {
        this.borderPutrecNo = borderPutrecNo;
    }

    public String getBorderName() {
        return borderName;
    }

    public void setBorderName(String borderName) {
        this.borderName = borderName;
    }

    public String getIdCardNo() {
        return idCardNo;
    }

    public void setIdCardNo(String idCardNo) {
        this.idCardNo = idCardNo;
    }

    public String getBorderAddr() {
        return borderAddr;
    }

    public void setBorderAddr(String borderAddr) {
        this.borderAddr = borderAddr;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getBorderTel() {
        return borderTel;
    }

    public void setBorderTel(String borderTel) {
        this.borderTel = borderTel;
    }

    public BorderList(String borderNo, String borderPutrecNo, String borderName, String idCardNo, String borderAddr, String groupId, String borderTel) {
        this.borderNo = borderNo;
        this.borderPutrecNo = borderPutrecNo;
        this.borderName = borderName;
        this.idCardNo = idCardNo;
        this.borderAddr = borderAddr;
        this.groupId = groupId;
        this.borderTel = borderTel;
    }

    public BorderList() {
    }

    /**
     * 本系统中互助组 id
     */
    private String groupId;

    /**
     * 手机号码
     */
    private String borderTel;

}
