package com.pj.tb_collage_orders;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_collage_orders -- 拼单订单表
 * @author linbl
 */

@Mapper
@Repository
public interface TbCollageOrdersMapper extends BaseMapper <TbCollageOrders> {



	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合
	 * @return 数据列表
	 */
	List<TbCollageOrders> getList(SoMap so);


}
