package com.pj.tb_goods_transit.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Author Mechrevo
 * @Date 2023 07 28 14 29
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PurchaseLevelOneGoodsTransitParam {

    /** 所购商品的ID */
    @NotBlank(message = "所购商品ID不能为空")
    private String goodsTransitId;

    /** 购物车ID */
    private Long goodsCartId;

    /**
     * 购买的商品的数量
     */
    @NotNull(message = "购买商品的数量")
    private Double number;

//    private String receiveName;
//    private String receivePhone;
//    private String receiveAddress;

}
