package com.pj.tb_order.vo;

import com.pj.tb_order_people_confirm.TbOrderPeopleConfirm;
import com.pj.tb_people.TbPeople;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @Author Mechrevo
 * @Date 2023 08 16 09 06
 **/
@Data
public class OrderVo {


    private Long orderId;

    /**
     * 订单编号
     */
    private String tradeNo;


    /**
     * 申报单号
     */
    private String applyNo;

    /**
     * 商家名称
     */
    private String enterpriseName;

    /**
     * 商家联系号码
     */
    private String concat;


    /**
     * 过审商品名称
     */
    private String goodsTransitName;

    /**
     * 计价单位
     */
    private String goodsUnit;

    /**
     * 净重
     */
    private Double netWeight;

    /**
     * 毛重
     */
    private Double grossWeight;

    /**
     * 价格
     */
    private Double totalPrice;

    /**
     * 边民
     */
//    private List<TbOrderPeopleConfirm> peopleList;

    /**
     * 商品发布时间
     */
    private Date goodsTransitCreateTime;

    /**
     * 订单创建时间
     */
    private Date orderCreateTime;

    /**
     * 购买的互市组名称
     */
    private String groupName;


    /**
     * 商户确认订单时间
     */
    private Date enterpriseConfirmTime;


    /**
     * 进境时间
     */
    private Date entrantTime;


    /**
     * 进口时间
     */
    private Date importTime;


    /**
     * 出互市区时间
     */
    private Date outFrontierTradeTime;



}
