package com.pj.tb_demand_quotation.param;

import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Author Mechrevo
 * @Date 2023 08 03 16 30
 **/
@Data
@NoArgsConstructor
public class DemandQuotationParam {

    /** 二级市场收购商需求表ID */
    @NotNull(message = "goodsDemandId")
    private Long goodsDemandId;

    private Integer isOrders;

    /** 报价 */
    @NotNull(message = "price")
    private Double price;

    /** 二级市场收购商主键ID */
    @NotNull(message = "purchaserId")
    private Long purchaserId;

    private String remark;

}
