package com.pj.tb_orders;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_orders -- 订单表
 * @author qzy
 */

@Mapper
@Repository
public interface TbOrdersMapper extends BaseMapper <TbOrders> {



	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合
	 * @return 数据列表
	 */
	List<TbOrders> getList(SoMap so);

	/**
	 * admin的专属查看订单
	 * @return
	 */
	List<TbOrders> getList();

	List<TbOrders> getLevelTwoList(SoMap so);
}
