package com.pj.tb_orders_cart.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class OrderListVo {

    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 商品名称
     */
    private String goodsName;

    /**
     * 创建人名称
     */
    private String createName;

    /**
     * 贸易区域名称
     */
    private String tradeAreaName;

    /**
     * 转售金额
     */
    private Double resalePrice;

}
