package com.pj.tb_purchaser;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;


@Data
@AllArgsConstructor
@NoArgsConstructor
public class TbPurchaserDto {

	// ---------- 表中字段 ----------
	/**
	 * 主键
	 */
	private Long id;

	/**
	 * 名称
	 */
	private String name;

	/**
	 * 法人
	 */
	private String legalPerson;

	/**
	 * 身份证号
	 */
	private String idCard;

	/**
	 * 手机号码
	 */
	private String contact;

	/**
	 * 营业执照
	 */
	private String businessLicense;

	/**
	 * 银行编号
	 */
	private String bankNo;

	/**
	 * 银行名称
	 */
	private String bankName;

	/**
	 * 银行账号
	 */
	private String bankAccount;

	/**
	 * 税号
	 */
	private String dutyParagraph;

	/**
	 * 地址编号
	 */
	private String addressIds;

	/**
	 * 地址
	 */
	private String address;

	/**
	 * 审核状态(0=未通过,1=已通过)
	 */
	private Integer judgeStatus;

	/**
	 * 审核意见
	 */
	private String judgeContent;

	/**
	 * 人脸编号
	 */
	private String personId;

	/**
	 * 是否锁定
	 */
	private Integer isLock;



}
