package com.pj.project.tb_bank;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * Model: tb_bank -- 银行字典表
 * @author qzyReal 
 */
@Data
@Accessors(chain = true)
@TableName(TbBank.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbBank extends Model<TbBank> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_bank";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-bank";	


	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */

	public Long id;	

	/**
	 * 银行名称 
	 */
	public String bankName;	

	/**
	 * 银行代号 
	 */
	public String bankCode;	





	


}
